Listar pagos
curl --request GET \
--url https://api.cobrix.co/api/integrations/v1/{companyId}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Cobrix-Signature: <cobrix-signature>' \
--header 'Cobrix-Timestamp: <cobrix-timestamp>'const options = {
method: 'GET',
headers: {
'Cobrix-Timestamp': '<cobrix-timestamp>',
'Cobrix-Signature': '<cobrix-signature>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.cobrix.co/api/integrations/v1/{companyId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.cobrix.co/api/integrations/v1/{companyId}/payments"
headers = {
"Cobrix-Timestamp": "<cobrix-timestamp>",
"Cobrix-Signature": "<cobrix-signature>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"externalPaymentId": "<string>",
"companyCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amountMinor": 123,
"paymentCurrency": "<string>",
"applicationCurrency": "<string>",
"status": "applied",
"totalAppliedMinor": 123,
"creditCreatedMinor": 123,
"customer": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
},
"paymentStatus": "<string>",
"pendingReason": "<string>",
"paidAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"nextCursor": "<string>",
"hasMore": true
}
}{
"error": {
"code": "invalid_api_key",
"message": "The API key is missing or invalid.",
"requestId": "req-1001"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "rate_limited",
"message": "Too many requests for this API key.",
"requestId": "req-1001"
}
}Pagos
Listar pagos
Lista pagos de integraciones y su estado operativo de aplicación.
GET
/
integrations
/
v1
/
{companyId}
/
payments
Listar pagos
curl --request GET \
--url https://api.cobrix.co/api/integrations/v1/{companyId}/payments \
--header 'Authorization: Bearer <token>' \
--header 'Cobrix-Signature: <cobrix-signature>' \
--header 'Cobrix-Timestamp: <cobrix-timestamp>'const options = {
method: 'GET',
headers: {
'Cobrix-Timestamp': '<cobrix-timestamp>',
'Cobrix-Signature': '<cobrix-signature>',
Authorization: 'Bearer <token>'
}
};
fetch('https://api.cobrix.co/api/integrations/v1/{companyId}/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.cobrix.co/api/integrations/v1/{companyId}/payments"
headers = {
"Cobrix-Timestamp": "<cobrix-timestamp>",
"Cobrix-Signature": "<cobrix-signature>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "<string>",
"externalPaymentId": "<string>",
"companyCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amountMinor": 123,
"paymentCurrency": "<string>",
"applicationCurrency": "<string>",
"status": "applied",
"totalAppliedMinor": 123,
"creditCreatedMinor": 123,
"customer": {
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyCustomerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
},
"paymentStatus": "<string>",
"pendingReason": "<string>",
"paidAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"nextCursor": "<string>",
"hasMore": true
}
}{
"error": {
"code": "invalid_api_key",
"message": "The API key is missing or invalid.",
"requestId": "req-1001"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "rate_limited",
"message": "Too many requests for this API key.",
"requestId": "req-1001"
}
}Authorizations
Llave cbx_live creada para el partner.
Headers
Segundos Unix dentro de una ventana de cinco minutos.
Pattern:
^[0-9]{10}$HMAC-SHA256 de timestamp, método, ruta y cuerpo crudo.
Pattern:
^v1=[a-f0-9]{64}$Path Parameters
Empresa vinculada a la llave.
Query Parameters
Required range:
1 <= x <= 100Cursor opaco devuelto por la página anterior.
Estado persistido del pago.
Available options:
applied, partially_applied, credited, needs_certified_rate, no_open_documents, failed, already_processed 
